import usb
import sqlite3
from practicum import find_mcu_boards, McuBoard, MoneyBoard
from time import sleep


def create_connection(db_file):
    conn = None
    try:
        conn = sqlite3.connect(db_file)
        print("Opened database successfully.")
    except sqlite3.Error as e:
        print(e)

    return conn


def update_coin(conn, CoinType):
    conn.execute(
        "UPDATE coins SET quantity = quantity + 1 WHERE type =" + CoinType)
    conn.commit()


devs = find_mcu_boards()

if len(devs) == 0:
    print("*** No practicum board found.")
    exit(1)

mcu = McuBoard(devs[0])
print("*** Practicum board found")
print("*** Manufacturer: %s" %
      mcu.handle.getString(mcu.device.iManufacturer, 256))
print("*** Product: %s" %
      mcu.handle.getString(mcu.device.iProduct, 256))

moneyBoard = MoneyBoard(mcu)

conn = create_connection('money.db')

while True:
  p1, p2, p3, p4 = moneyBoard.get_piezos()
  if p1 > 5:
    print("p1 = ", p1)
    moneyBoard.set_led(1)
    update_coin(conn,'"one"')
    print("Coin 1 : Updated")
    sleep(1.5)
    moneyBoard.set_led(0)
  elif p2 > 5:
    print("p2 = ", p2)
    update_coin(conn,'"two"')
    print("Coin 2 : Updated")
    moneyBoard.set_led(1)
    sleep(1.5)
    moneyBoard.set_led(0)
  elif p3 > 5:
    print("p3 = ", p3)
    update_coin(conn,'"five"')
    print("Coin 5 : Updated")
    moneyBoard.set_led(1)
    sleep(1.5)
    moneyBoard.set_led(0)
  elif p4 > 5:
    print("p4 = ", p4)
    update_coin(conn,'"ten"')
    print("Coin 10 : Updated")
    moneyBoard.set_led(1)
    sleep(1.5)
    moneyBoard.set_led(0)
